Bug 173988 - Add WebKitPrivateFrameworkStubs for iOS 11
Summary: Add WebKitPrivateFrameworkStubs for iOS 11
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-06-29 13:38 PDT by Jonathan Bedard
Modified: 2017-07-05 11:14 PDT (History)
11 users (show)

See Also:


Attachments
Patch (64.70 KB, patch)
2017-06-29 13:52 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (75.04 KB, patch)
2017-06-29 14:05 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Manually edited patch (44.41 KB, patch)
2017-06-29 14:27 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Manually edited patch (43.22 KB, patch)
2017-06-29 14:37 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (1.20 MB, application/zip)
2017-06-29 16:04 PDT, Build Bot
no flags Details
Patch (25.97 KB, patch)
2017-06-29 16:52 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (25.97 KB, patch)
2017-06-30 08:12 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (22.24 KB, patch)
2017-07-03 16:26 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (22.16 KB, patch)
2017-07-05 10:39 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2017-06-29 13:38:01 PDT
In iOS 11, a number of frameworks used by WebKit are no longer available in the iOS Simulator SDK.  Add these frameworks.  Disambiguate private framework stubs for device and simulator.
Comment 1 Jonathan Bedard 2017-06-29 13:52:38 PDT
Created attachment 314160 [details]
Patch
Comment 2 Jonathan Bedard 2017-06-29 14:05:45 PDT
Created attachment 314162 [details]
Patch
Comment 3 Jonathan Bedard 2017-06-29 14:27:57 PDT
Created attachment 314167 [details]
Manually edited patch

svn-create-patch is not handling deletion from directories, we have a bug tracking this.  In the mean time, this manually curated patch should be correct.
Comment 4 Jonathan Bedard 2017-06-29 14:37:56 PDT
Created attachment 314171 [details]
Manually edited patch
Comment 5 Build Bot 2017-06-29 16:04:57 PDT
Comment on attachment 314171 [details]
Manually edited patch

Attachment 314171 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4022165

New failing tests:
media/video-no-audio.html
Comment 6 Build Bot 2017-06-29 16:04:58 PDT
Created attachment 314181 [details]
Archive of layout-test-results from ews107 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 7 Jonathan Bedard 2017-06-29 16:52:35 PDT
Created attachment 314187 [details]
Patch
Comment 8 Jonathan Bedard 2017-06-30 08:12:39 PDT
Created attachment 314268 [details]
Patch
Comment 9 Jonathan Bedard 2017-07-03 16:26:49 PDT
Created attachment 314534 [details]
Patch
Comment 10 Radar WebKit Bug Importer 2017-07-05 09:19:35 PDT
<rdar://problem/33135420>
Comment 11 David Kilzer (:ddkilzer) 2017-07-05 10:15:03 PDT
Comment on attachment 314534 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=314534&action=review

r=me

> Source/WebCore/Configurations/WebCore.xcconfig:33
> +

Nit:  Why add a blank line here?  Should be consistent across all *.xcconfig files.

> Source/WebCore/PAL/Configurations/PAL.xcconfig:32
> +

Nit:  Why add a blank line here?  Should be consistent across all *.xcconfig files.

> Source/WebKit2/Configurations/BaseTarget.xcconfig:30
> +

Nit:  Why add a blank line here?  Should be consistent across all *.xcconfig files.

> Source/WebKit/mac/Configurations/WebKitLegacy.xcconfig:37
> +

Nit:  Why add a blank line here?  Should be consistent across all *.xcconfig files.

> WebKitLibraries/WebKitPrivateFrameworkStubs/iOS/11/AppSupport.framework/AppSupport.tbd:15
> +exports:
> +  -
> +    archs:
> +      - armv7
> +      - armv7s
> +      - arm64
> +      - i386
> +  - x86_64

Weird indention here for x86_64.  Does it matter?
Comment 12 Jonathan Bedard 2017-07-05 10:39:25 PDT
Created attachment 314616 [details]
Patch for landing
Comment 13 WebKit Commit Bot 2017-07-05 11:14:45 PDT
Comment on attachment 314616 [details]
Patch for landing

Clearing flags on attachment: 314616

Committed r219140: <http://trac.webkit.org/changeset/219140>
Comment 14 WebKit Commit Bot 2017-07-05 11:14:47 PDT
All reviewed patches have been landed.  Closing bug.